import { Schema } from 'lincd-graphql/shapes/Schema';
import { JSONLD } from 'lincd-jsonld/utils/JSONLD';
import * as mapping from '../data/github.graphql.json';
import { rdf } from 'lincd/ontologies/rdf';
let schemaPromise = JSONLD.parse(mapping).then((res) => {
    let schemaNode = res.quads
        .getSubjects()
        .find((subject) => subject.has(rdf.type, Schema.targetClass));
    // console.log(schemaNode);
    return Schema.getOf(schemaNode);
});
export function fetchGitGraph(query, token) {
    return schemaPromise.then((schema) => {
        return schema
            .query(query, {
            headers: {
                Authorization: 'bearer ' + token,
            },
        })
            .then((resultNodes) => {
            return resultNodes;
        });
        /*return fetch('https://api.github.com/graphql',{
                method:"POST",
                headers:{
                    "Authorization": "bearer "+token
                },
                body:JSON.stringify({query:query})
            }).then(res => {
                return res.json()
            }).then(data => {
                console.log(data);
            }).catch(err => {
                console.warn("Error during github graphql request: ",err);
            })*/
    });
}
//# sourceMappingURL=git-graphql.js.map