import { JSONLD } from 'lincd-jsonld/utils/JSONLD';
import { createNameSpace } from 'lincd/utils/NameSpace';
import { linkedOntology } from '../package.js';
import * as _this from './github.js';
export var loadData = () => {
    if (typeof module !== 'undefined' && typeof exports !== 'undefined') {
        // CommonJS import
        return import('../data/github.json').then((data) => JSONLD.parse(data));
    }
    else {
        // ESM import
        //@ts-ignore
        return import('../data/github.json', { assert: { type: 'json' } }).then((data) => JSONLD.parse(data.default));
    }
};
export var ns = createNameSpace('http://lincd.org/ont/github/');
//It's recommended to export a NamedNode for the ontology itself as well
export var _self = ns('');
export var Repository = ns('Repository');
export var User = ns('User');
export var contributor = ns('contributor');
export var collaborator = ns('collaborator');
export var login = ns('login');
export var name = ns('name');
export var avatar = ns('avatar');
export const github = {
    Repository,
    login,
    contributor,
    collaborator,
    name,
    User,
    avatar,
};
linkedOntology(_this, ns, 'github', loadData, '../data/github.json');
//# sourceMappingURL=github.js.map