var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Shape } from 'lincd/shapes/Shape';
import { linkedShape } from '../package.js';
import { literalProperty } from 'lincd/utils/ShapeDecorators';
import { github } from '../ontologies/github.js';
let GithubRepository = class GithubRepository extends Shape {
    /**
     * instances of this shape need to have exactly one value defined for the given property
     */
    get contributors() {
        return this.getAll(github.contributor);
    }
    /**
     * instances of this shape need to have exactly one value defined for the given property
     */
    get collaborators() {
        return this.getAll(github.collaborator);
    }
};
/**
 * indicates that instances of this shape need to have this rdf.type
 */
GithubRepository.targetClass = github.Repository;
__decorate([
    literalProperty({
        path: github.contributor,
    }),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [])
], GithubRepository.prototype, "contributors", null);
__decorate([
    literalProperty({
        path: github.collaborator,
    }),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [])
], GithubRepository.prototype, "collaborators", null);
GithubRepository = __decorate([
    linkedShape
], GithubRepository);
export { GithubRepository };
//# sourceMappingURL=GithubRepository.js.map