import {Shape} from 'lincd/shapes/Shape';
import {NamedNode} from 'lincd/models';
import {linkedShape} from '../package.js';
import {literalProperty} from 'lincd/utils/ShapeDecorators';
import {github} from '../ontologies/github.js';

@linkedShape
export class GithubRepository extends Shape {
  /**
   * indicates that instances of this shape need to have this rdf.type
   */
  static targetClass: NamedNode = github.Repository;

  /**
   * instances of this shape need to have exactly one value defined for the given property
   */
  @literalProperty({
    path: github.contributor,
  })
  get contributors() {
    return this.getAll(github.contributor);
  }

  /**
   * instances of this shape need to have exactly one value defined for the given property
   */
  @literalProperty({
    path: github.collaborator,
  })
  get collaborators() {
    return this.getAll(github.collaborator);
  }
}
